$(function() {
	// 获取验证码
	$('#getcode').click(function () {
		if($('#phone').val()!=''){
			if(!kg.isTelCode ($('#phone').val())){
				 confirm('您输入的手机号不合法');
				 return false;
			}else{
				var formData = new FormData();
				formData.append("action", 'getcode');
				formData.append("phone", $('#phone').val());
				$.ajax({
					scriptCharset: 'UTF-8',
					type: 'post',
					url: '/user/forgot_password',
					data: formData,
					cache: false,
					processData: false,
					contentType: false,
				}).done(function (data) {
					confirm(data)
				}).fail(function (data) {
					alert('服务器超时，请重试！');
				});
			}
		}else {
			confirm('请输入手机号');
			return false;
		}
	})
	// 检测表单
	$("form").submit(function (e) {
		//检测手机号
		if ($('#phone').val() != '') {
			if (!kg.isTelCode($('#phone').val())) {
				confirm('您输入的手机号不合法');
				return false;
			}
		}else {
			confirm('请输入手机号');
			return false;
		}
		//检测密码
		if ($('#new_password').val() != '') {
			if (!kg.IsPwd($('#new_password').val())) {
				confirm('您输入的密码必须为数字、字母和下划线组成，并且长度必须5-19');
				return false;
			}
		} else {
			confirm('请输入密码');
			return false;
		}
		//检测两次输入的密码是否一致
		if ($('input[name=password').val() != $('input[name=passwordxi').val()) {
			confirm('两次输入的新密码不一致');
			return false;
		}
		//验证码
		if ($('#checkCode').val() == '') {
			confirm('请输入验证码');
			return false;
		}
	})

	// 验证码
	$("#getcode").click(btnCheck);
	/**
	* [btnCheck 按钮倒计时常用于获取手机短信验证码]
	*/
	function btnCheck() {
	
	var time = 60;
	$(this).attr("disabled", true);
		var timer = setInterval(function() {
		if (time == 0) {
				clearInterval(timer);
				$("#getcode").attr("disabled", false);
				$("#getcode").text("重新获取验证码");
				$("#getcode").removeClass("on");
			} else {
				$("#getcode").addClass("on");
				$('#getcode').text(time + "秒");
				time--;
			}
		}, 1000);
	}
})